Subject: bug#55156: [PATCH] eval.c: New functions `defvar-f` and `defconst-f`

From: Eli Zaretskii <[email-masked]>
Date: Thu, 26 May 2022 08:01:27 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>, Lars Ingebrigtsen <[email-masked]>
> Date: Wed, 25 May 2022 16:38:45 -0400

LGTM, with a minor nit:

> * src/eval.c (defvar, Fdefvar_1, Fdefconst_1): New functions, extracted from
> `Fdef(var|const)`.
       ^^^^^^^^^^^
[...]
> (byte-compile-defvar): Simplify using the new `def(car|const)-1` functions.
                                                    ^^^^^^^^^^^
Can we please not use such "shorthands" in the log messages?  They
make it much harder to search for changes related to some symbol, and
much easier to miss some changes.  I understand the urge to type less,
but M-/ is available to alleviate that, and usually does the job for
me.

Thanks.